=== data/skins/default/CMakeLists.txt ===
install(FILES
    title.skin
    tabs.skin
    icon.svg
    DESTINATION ${DATA_INSTALL_DIR}/yakuake/skins/default)

install(FILES
    tabs/add_down.svg
    tabs/add_up.svg
    tabs/back_image.svg
    tabs/close_down.svg
    tabs/close_up.svg
    tabs/left_corner.svg
    tabs/lock.svg
    tabs/right_corner.svg
    tabs/selected_back.svg
    tabs/selected_left.svg
    tabs/selected_right.svg
    tabs/separator.svg
    tabs/unselected_back.svg
    tabs/unselected_left.svg
    tabs/unselected_right.svg
    DESTINATION ${DATA_INSTALL_DIR}/yakuake/skins/default/tabs)

install(FILES
    title/back.svg
    title/config_down.svg
    title/config_up.svg
    title/focus_down.svg
    title/focus_over.svg
    title/focus_up.svg
    title/left.svg
    title/quit_down.svg
    title/quit_up.svg
    title/right.svg
    DESTINATION ${DATA_INSTALL_DIR}/yakuake/skins/default/title)
