## yakuake 22.08.1

=== debian/changelog ===
yakuake (22.08.1-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Sep 2022 07:29:29 +0100

yakuake (22.08.1-1) unstable; urgency=medium

  * New upstream release
  * Upgrade S-V to 4.6.1 without changes needed

 -- Didier Raboud <odyx@debian.org>  Sun, 11 Sep 2022 18:12:11 +0200

yakuake (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:49:59 +0100

yakuake (22.08.0-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Aug 2022 10:21:10 +0100

yakuake (22.08.0-2) unstable; urgency=medium

  * Add myself to Uploaders
  * Bump KF5 B-D versions from 5.89 to 5.90, as required from 20.07.80

 -- Didier Raboud <odyx@debian.org>  Wed, 24 Aug 2022 23:24:03 +0200

yakuake (22.08.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 10:23:35 +0100

yakuake (22.08.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes FTBFS (Closes: #1017130)

  [ James Tocknell ]
  * Add x-terminal-emulator to provides

 -- Didier Raboud <odyx@debian.org>  Wed, 24 Aug 2022 08:36:13 +0200

yakuake (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:59:03 +0100

yakuake (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:35:20 +0100

yakuake (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:37:22 +0100

yakuake (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:12:05 +0100

yakuake (22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Drop patches applied upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 28 May 2022 10:16:01 +0200

yakuake (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:11:31 +0100

yakuake (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Drop included upstream-fix-slide-effect-on-wayland-7a319db4.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:58:32 +0100
