=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: yakuake
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -27,21 +26,22 @@
                libkf5wayland-dev (>= 4:5.90~) [linux-any],
                libkf5widgetsaddons-dev (>= 5.90~),
                libkf5windowsystem-dev (>= 5.90~),
-               libqt5svg5-dev (>= 5.15.0~),
-               libqt5x11extras5-dev (>= 5.15.0~),
+               libqt5svg5-dev (>= 5.15.2~),
+               libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                pkg-kde-tools (>= 0.4.2),
-               qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.1
+               qt6-base-dev,
+               qtbase5-dev (>= 5.15.2~),
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/yakuake
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/yakuake.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/yakuake
 Rules-Requires-Root: no
 
 Package: yakuake
 Architecture: any
-Depends: konsole-kpart, ${misc:Depends}, ${shlibs:Depends}
-Provides: x-terminal-emulator
+Depends: konsole-kpart, ${misc:Depends}, ${shlibs:Depends},
+Provides: x-terminal-emulator,
 Description: Quake-style terminal emulator based on KDE Konsole technology
  YaKuake is inspired from the terminal in the Quake game: when you press a key
  (by default F12, but that can be changed) a terminal window slides down from
