=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yakuake
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -32,16 +33,16 @@
                pkg-kde-tools (>= 0.4.2),
                qt6-base-dev,
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/yakuake
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/yakuake.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/yakuake
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
 Rules-Requires-Root: no
 
 Package: yakuake
 Architecture: any
-Depends: konsole-kpart, ${misc:Depends}, ${shlibs:Depends},
-Provides: x-terminal-emulator,
+Depends: konsole-kpart, ${misc:Depends}, ${shlibs:Depends}
+Provides: x-terminal-emulator
 Description: Quake-style terminal emulator based on KDE Konsole technology
  YaKuake is inspired from the terminal in the Quake game: when you press a key
  (by default F12, but that can be changed) a terminal window slides down from
