=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                pkg-kde-tools (>= 0.4.2),
-               qt6-base-dev,
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/yakuake
