## yakuake 24.08.1

=== debian/changelog ===
yakuake (24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:24:37 +0100

yakuake (24.08.0-0ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 
  * New upstream release (24.08.0). 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 29 Aug 2024 10:33:07 -0700

yakuake (24.05.2-1) experimental; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (24.05.2-1).
  * Update build-deps with info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Change pkg-kde-tools B-D to dh-sequence-kf6 and update d/rules to
    match.
  * Add versioned dependency on konsole-kpart.

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 18 Jul 2024 11:55:56 -0400

yakuake (23.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 21 Sep 2023 19:38:35 -0400
