## yakuake 24.08.2

=== debian/changelog ===
yakuake (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Bump runtime dependency on konsole-kpart.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 09:04:07 +0200
