=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: yakuake
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -34,13 +33,13 @@
                qt6-svg-dev (>= 6.5.0),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/yakuake
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/yakuake.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/yakuake
 Rules-Requires-Root: no
 
 Package: yakuake
 Architecture: any
-Depends: konsole-kpart (>= 24.05~), ${misc:Depends}, ${shlibs:Depends},
+Depends: konsole-kpart (>= 24.08~), ${misc:Depends}, ${shlibs:Depends},
 Provides: x-terminal-emulator,
 Description: Quake-style terminal emulator based on KDE Konsole technology
  YaKuake is inspired from the terminal in the Quake game: when you press a key
