=== debian/control ===
--- 
+++ 
@@ -6,28 +6,28 @@
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
            Didier Raboud <odyx@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 5.240.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.3.0~),
                gettext,
                kwayland-dev (>= 4:5.240.0~) [linux-any],
-               libkf6archive-dev (>= 5.240.0~),
-               libkf6config-dev (>= 5.240.0~),
-               libkf6coreaddons-dev (>= 5.240.0~),
-               libkf6crash-dev (>= 5.240.0~),
-               libkf6dbusaddons-dev (>= 5.240.0~),
-               libkf6globalaccel-dev (>= 5.240.0~),
-               libkf6i18n-dev (>= 5.240.0~),
-               libkf6iconthemes-dev (>= 5.240.0~),
-               libkf6kio-dev (>= 5.240.0~),
-               libkf6newstuff-dev (>= 5.240.0~),
-               libkf6notifications-dev (>= 5.240.0~),
-               libkf6notifyconfig-dev (>= 5.240.0~),
-               libkf6parts-dev (>= 5.240.0~),
-               libkf6statusnotifieritem-dev (>= 5.240.0~),
-               libkf6widgetsaddons-dev (>= 5.240.0~),
-               libkf6windowsystem-dev (>= 5.240.0~),
+               libkf6archive-dev (>= 6.3.0~),
+               libkf6config-dev (>= 6.3.0~),
+               libkf6coreaddons-dev (>= 6.3.0~),
+               libkf6crash-dev (>= 6.3.0~),
+               libkf6dbusaddons-dev (>= 6.3.0~),
+               libkf6globalaccel-dev (>= 6.3.0~),
+               libkf6i18n-dev (>= 6.3.0~),
+               libkf6iconthemes-dev (>= 6.3.0~),
+               libkf6kio-dev (>= 6.3.0~),
+               libkf6newstuff-dev (>= 6.3.0~),
+               libkf6notifications-dev (>= 6.3.0~),
+               libkf6notifyconfig-dev (>= 6.3.0~),
+               libkf6parts-dev (>= 6.3.0~),
+               libkf6statusnotifieritem-dev (>= 6.3.0~),
+               libkf6widgetsaddons-dev (>= 6.3.0~),
+               libkf6windowsystem-dev (>= 6.3.0~),
                libx11-dev,
                qt6-base-dev (>= 6.5.0),
                qt6-svg-dev (>= 6.5.0),
