=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yakuake
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -33,8 +34,8 @@
                qt6-svg-dev (>= 6.5.0),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/yakuake
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/yakuake.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/yakuake
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
 Rules-Requires-Root: no
 
 Package: yakuake
