=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: yakuake
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Didier Raboud <odyx@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-           Didier Raboud <odyx@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
@@ -31,11 +29,12 @@
                libkf6windowsystem-dev (>= 6.3.0~),
                libx11-dev,
                qt6-base-dev (>= 6.5.0),
+               qt6-base-private-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/en/yakuake
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/yakuake
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/yakuake.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/yakuake
 Rules-Requires-Root: no
 
 Package: yakuake
